# The "Dataclip" Widget

This widget provides an interactive way to select a range of data.

Library: karmawidgets
Link With: -lkarmawidgets

#### Tables

Dataclip_ResourceNames | List of resource names for Dataclip widget
Dataclip_Resources | List of resources for Dataclip widget

#### Functions

XkwDataclipNewArray | Register new array.
XkwDataclipArrayChanged | Register a change in the array.
XkwDataclipSetRegions | Set the regions.

## Tables

Dataclip_ResourceNames List of resource names for Dataclip widget

Name | Purpose
XkwNmaxDataRegions | The maximum number of data regions
XkwNregionCallback | The callback when regions change
XkwNshowBlankControl | If TRUE show the "Blank" button
XkwNfixedOutputType | Specify a fixed output type
XkwNverbose | If TRUE verbose messages are enabled
XkwNautoPopdown | If TRUE widget is popped down on array deallocation

Dataclip_Resources List of resources for Dataclip widget

Name | Class | Rep. Type | Default
XkwNmaxDataRegions | XkwCMaxDataRegions | XtRInt | 1
XkwNscaledRegionCallback | XtCCallback | XtRCallback | NULL
XkwNrawRegionCallback | XtCCallback | XtRCallback | NULL
XkwNshowBlankControl | XkwCShowBlankControl | XtRBool | False
XkwNfixedOutputType | XkwCFixedOutputType | XtRCardinal | NONE
XkwNverbose | XkwCVerbose | XtRBool | False
XkwNautoPopdown | XkwCAutoPopdown | XtRBool | FALSE

## Functions

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwDataclipNewArray (Widget W, iarray array, double min, double max, flag reset_hscale)

Register new array.

Parameters:

- W : The Dataclip widget.
- array : The new array. This may be NULL.
- min : The minimum (unscaled) data value in the array.
- max : The maximum (unscaled) data value in the array. If this is less than min then the minimum and maximum values are computed.
- reset_hscale : If TRUE the horizontal scale is reset.

Returns: Nothing.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwDataclipArrayChanged (Widget W, double min, double max)

Register a change in the array.

Parameters:

- W : The Dataclip widget.
- min : The minimum (unscaled) data value in the array.
- max : The maximum (unscaled) data value in the array. If this is less than min then the minimum and maximum values are computed.

Returns: Nothing.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwDataclipSetRegions (Widget W, CONST DataclipRegions *regions)

Set the regions.

Parameters:

- W : The Dataclip widget.
- regions : The regions. These are unscaled (raw) values.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page